Bug 806192 - Eclipse crashed with Help Context open, Problematic frame: # C [libwebkitgtk-1.0.so
Eclipse crashed with Help Context open, Problematic frame: # C [libwebkitgtk...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 03:37 EDT by Santiago Angel
Modified: 2012-08-03 19:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 17:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error report file (101.74 KB, text/x-log)
2012-03-23 03:37 EDT, Santiago Angel
no flags Details

  None (edit)
Description Santiago Angel 2012-03-23 03:37:45 EDT
Created attachment 572180 [details]
error report file

Description of problem:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003193a889de, pid=20147, tid=140723765126912
#
# JRE version: 7.0
# Java VM: OpenJDK 64-Bit Server VM (22.0-b10 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libwebkitgtk-1.0.so.0+0x4889de]  WTF::equalIgnoringCase(WTF::StringImpl*, char const*)+0x4889de
#



Version-Release number of selected component (if applicable):

clipse-jdt-3.8.0-0.19.I201203141800.fc18.x86_64 and eclipse-jdt-3.7 from eclipse.org site on both java sun jdk 1.6.31 and openJDk 7





Steps to Reproduce:
Open Eclipse 3.8
type a piece of code in a java project
press CTL+SPACE for autocomplete
Help shows up and then, eclipse crashes.
  



Additional info:

Only as a test: rm /usr/lib64/libwebkitgtk-1.0.so.*
and eclipse did not crashed
Comment 2 Kevin Fenzi 2012-03-23 10:34:08 EDT
I wonder if this is the icedtea-web java plugin crashing? 

If you remove icedtea-web does it stop crashing?
Comment 3 Santiago Angel 2012-03-23 13:58:29 EDT
after yum erase icedtea-web

eclipse still crashes, the only change is the name of the problematic function:


#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f095d4ea9de, pid=17795, tid=139678505953024
#
# JRE version: 7.0
# Java VM: OpenJDK 64-Bit Server VM (22.0-b10 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libwebkitgtk-1.0.so.0+0x4889de]  webViewExitFullscreen+0x2e
#
Comment 4 Alexander Kurtakov 2012-05-10 16:09:06 EDT
Eclipse uses webkit directly. Does the same happen with Eclipse from Fedora? 
It shouldn't as our eclipse(swt) is built against this webkit.
Comment 5 Alexander Kurtakov 2012-06-12 17:46:43 EDT
Closing the bug as it's not a webkit problem nor the reported provided the needed test.

Note You need to log in before you can comment on or make changes to this bug.